jQuery(document).ready(function($) {
    // Inject the location field and button into the custom checkout form
    var locationFieldHtml = `
        <div id="wc-location-field">
            <div class="location-input-container">
                <label>Your location will appear here</label>
                <input type="text" id="customer_location" class="location-input form-row-wide" placeholder="Location will be shared automatically" readonly />
                <button id="get-location-button" type="button" class="location-button">Share Current Location</button>
                <input type="hidden" name="customer_latlng" id="customer_latlng">
            </div>
        </div>
    `;

    // Append the location field HTML to a specific part of the custom checkout form
    // Adjust selector to match where you want to insert the field (for example, after billing fields)
    $('#checkout_billing_fields').append(locationFieldHtml);

    // Geolocation logic (same as before)
    $('#get-location-button').on('click', function() {
        if (navigator.geolocation) {
            navigator.geolocation.getCurrentPosition(function(position) {
                var latitude = position.coords.latitude; 
                var longitude = position.coords.longitude;

                // Create the Google Maps link
                var mapsLink = 'https://www.google.com/maps?q=' + latitude + ',' + longitude;

                // Populate the read-only location field with the Google Maps link
                $('#customer_location').val(mapsLink);
                $('#customer_latlng').val(latitude + ',' + longitude);
            }, function(error) {
                alert('Unable to retrieve your location');
            });
        } else {
            alert('Geolocation is not supported by your browser');
        }
    });
});
